package com.tuoheng.task.api.fegin;


import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.task.api.fegin.vo.CityVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient("tuoheng-system")  // 要调用服务的名字
public interface ICityService {

    /**
     * 根据城市编码获取城市信息
     *
     * @param cityCode 城市编码
     * @return
     */
    @GetMapping("/city/getCityInfoByCode")
    JsonResult<CityVo> getCityInfoByCode(@PathVariable("cityCode") String cityCode);
}
