package com.tuoheng.task.api.fegin.fallback;

import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.task.api.fegin.ICityService;
import com.tuoheng.task.api.fegin.vo.CityVo;
import org.springframework.stereotype.Component;

/**
 * 城市服务处理回调处理
 */
@Component
public class CityClientFallback implements ICityService {

    /**
     * 根据城市编码获取城市信息
     *
     * @param cityCode 城市编码
     * @return
     */
    @Override
    public JsonResult<CityVo> getCityInfoByCode(String cityCode) {
        return JsonResult.error("城市服务调用失败");
    }
}
