package com.tuoheng.system.controller;


import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.system.api.vo.UserInfo;
import com.tuoheng.system.entity.City;
import com.tuoheng.system.query.CityQuery;
import com.tuoheng.system.service.ICityService;
import com.tuoheng.system.vo.CityInfoVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 高德城市表 前端控制器
 * </p>
 *
 * @author 拓恒
 * @since 2020-11-03
 */
@RestController
@RequestMapping("/city")
public class CityController {

    @Autowired
    private ICityService cityService;

    /**
     * 根据城市编码获取城市信息
     *
     * @param cityCode  城市编码
     * @return
     */
    @GetMapping("/getCityInfoByCode")
    public JsonResult<CityInfoVo> getCityInfoByCode(String cityCode){
        return cityService.getCityInfoByCode(cityCode);
    }

}
