package com.tuoheng.task.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 巡检表
 *
 * @author WangHaoran
 * @since 2022-06-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_inspection")
public class Inspection extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 巡检任务编号
     */
    private String taskId;

    /**
     * 巡检任务类型 1 飞行巡检 2日常巡检
     */
    private Integer type;

    /**
     * 飞手ID
     */
    private String flightHand;

    /**
     * 飞行设备
     */
    private String equipmentId;

    /**
     * 挂载设备(多选逗号","分隔)
     */
    private String equipmentMountId;

    /**
     * 挂载设备(多选逗号","分隔)
     */
    private String equipmentMountName;

    /**
     * 5G云盒ID
     */
    private String cloudBoxId;

    /**
     * 执行开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date executionStartTime;

    /**
     * 执行结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date executionEndTime;

    /**
     * islive 1:实时  2:离线
     */
    private Integer isLive;

    /**
     * 原视频地址
     */
    private String videoUrl;

    /**
     * AI识别后视频地址
     */
    private String aiVideoUrl;

    /**
     * 任务状态：1任务待审核 5任务待飞行 10任务飞行中 15任务飞行完成(图片待审核) 20审核未通过 25图片已审核(问题待分派) 30问题待处理 35问题处理中 40问题已处理(报告待生成) 45报告已生成
     */
    private Integer status;

    /**
     * 算法处理状态：1待处理 2处理中 3已处理
     */
    private Integer analyseStatus;

    /**
     * 算法分析进度
     */
    private Double progressbar;

    /**
     * 备注
     */
    private String note;

    /**
     * 天气
     */
    private String weather;

    /**
     * 飞行高度（保留两位小数）
     */
    private String flyHeight;

}
