package com.tuoheng.task.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tuoheng.common.core.common.BaseQuery;
import com.tuoheng.common.core.common.BaseServiceImpl;
import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.common.core.utils.StringUtils;
import com.tuoheng.task.entity.CloudBox;
import com.tuoheng.task.entity.EquipmentMount;
import com.tuoheng.task.mapper.EquipmentMountMapper;
import com.tuoheng.task.query.CloudBoxQuery;
import com.tuoheng.task.query.EquipmentMountQuery;
import com.tuoheng.task.service.IEquipmentMountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 挂载设备表 服务实现类
 *
 * @author WangHaoran
 * @since 2022-06-28
 */
@Service
public class EquipmentMountServiceImpl extends BaseServiceImpl<EquipmentMountMapper, EquipmentMount> implements IEquipmentMountService {

    @Autowired
    private EquipmentMountMapper equipmentMountMapper;

    /**
     * 获取云盒分页列表
     *
     * @param query 查询条件
     * @return
     */
    @Override
    public JsonResult getList(BaseQuery query) {
        EquipmentMountQuery equipmentMountQuery = (EquipmentMountQuery) query;

        // 分页查询条件
        IPage<EquipmentMount> page = new Page<>(equipmentMountQuery.getPage(), equipmentMountQuery.getLimit());
        IPage<EquipmentMount> pageData = equipmentMountMapper.selectPage(page, new LambdaQueryWrapper<EquipmentMount>()
                .like(StringUtils.isNotEmpty(equipmentMountQuery.getCode()), EquipmentMount::getCode, equipmentMountQuery.getCode())
                .like(StringUtils.isNotEmpty(equipmentMountQuery.getName()), EquipmentMount::getName, equipmentMountQuery.getName())
                .eq(equipmentMountQuery.getType() != null, EquipmentMount::getType, equipmentMountQuery.getType())
                .eq(EquipmentMount::getMark, 1));
        return JsonResult.success(pageData);
    }

}
