package com.tuoheng.task.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tuoheng.common.core.common.BaseQuery;
import com.tuoheng.common.core.common.BaseServiceImpl;
import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.common.core.utils.StringUtils;
import com.tuoheng.task.entity.Inspection;
import com.tuoheng.task.entity.Task;
import com.tuoheng.task.mapper.InspectionMapper;
import com.tuoheng.task.mapper.TaskMapper;
import com.tuoheng.task.query.TaskQuery;
import com.tuoheng.task.service.ITaskService;
import com.tuoheng.task.vo.TaskVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 任务表 服务实现类
 *
 * @author WangHaoran
 * @since 2022-06-30
 */
@Service
public class TaskServiceImpl extends BaseServiceImpl<TaskMapper, Task> implements ITaskService {

    @Autowired
    private TaskMapper taskMapper;

    @Autowired
    private InspectionMapper inspectionMapper;

    /**
     * 获取任务分页列表
     *
     * @param query 查询条件
     * @return
     */
    @Override
    public JsonResult getList(BaseQuery query) {
        TaskQuery taskQuery = (TaskQuery) query;

        // 分页查询条件
        IPage<Task> page = new Page<>(taskQuery.getPage(), taskQuery.getLimit());
        IPage<TaskVo> pageData = taskMapper.selectPageInfo(page, query);

        return JsonResult.success(pageData);
    }

    @Override
    public JsonResult detail(String taskId) {
        taskMapper.selectById(taskId);

        List<Inspection> inspectionList = inspectionMapper.selectList(new LambdaQueryWrapper<Inspection>()
                .eq(Inspection::getTaskId, taskId)
                .eq(Inspection::getMark, 1)
                .orderByAsc(Inspection::getCreateTime));

        if(StringUtils.isNotEmpty(inspectionList)){

        }

        return JsonResult.success();
    }
}
