package com.tuoheng.task.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 河流信息Vo
 */
@Data
public class StreamInfoVo {
    /**
     * 主键
     */
    private Integer id;

    /**
     * 河流编码
     */
    private String code;

    /**
     * 河流名称
     */
    private String name;

    /**
     * 省份编码
     */
    private String provinceCode;

    /**
     * 城市编码
     */
    private String cityCode;

    /**
     * 区县编码
     */
    private String districtCode;

    /**
     * 街道编码
     */
    private String streetCode;

    /**
     * 村编码
     */
    private String villageCode;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 起止位置
     */
    private String location;

    /**
     * 河流长度
     */
    private String length;

    /**
     * 备注
     */
    private String note;

    /**
     * 添加人名称
     */
    private String createUserName;

    /**
     * 更新人名称
     */
    private String updateUserName;

    /**
     * 城市名称（省市区街道村拼接）
     */
    private String cityArea;

    /**
     * 省份名称
     */
    private String provinceName;

    /**
     * 城市名称
     */
    private String cityName;

    /**
     * 区县名称
     */
    private String districtName;

    /**
     * 街道名称
     */
    private String streetName;

    /**
     * 添加人
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 有效标识
     */
    private Integer mark;


    /**
     * 头像地址
     */
    private String image;

    /**
     * 巡检河流数量
     */
    private Integer streamGisNumber;
}
