package com.tuoheng.task.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class TaskDetailVo {

    /**
     * 任务ID
     */
    private String id;

    /**
     * 任务编号
     */
    private String code;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 河道ID
     */
    private String streamId;

    /**
     * 期望巡检日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date inspectionHopeTime;

    /**
     * 任务状态：1任务待飞行 2任务飞行中 3任务飞行完成
     */
    private Integer status;

    /**
     * 备注
     */
    private String note;

    /**
     * 飞手ID
     */
    private String flightHand;

    /**
     * 飞手名称
     */
    private String flightHandName;

    /**
     * 飞行设备
     */
    private String equipmentId;

    /**
     * 挂载设备(多选逗号","分隔)
     */
    private String equipmentMountId;

    /**
     * 挂载设备(多选逗号","分隔)
     */
    private String equipmentMountName;

    /**
     * 5G云盒ID
     */
    private String cloudBoxId;

    /**
     * 天气
     */
    private String weather;

    /**
     * 飞行高度（保留两位小数）
     */
    private String flyHeight;

    /**
     * 执行开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date executionStartTime;
}
